org.jbpm.process.workitem.core.util

## Class WidInfo

- java.lang.Object
- - org.jbpm.process.workitem.core.util.WidInfo

-     public class WidInfo
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WidInfo.InternalWidMavenDependencies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WidInfo(List<Wid> wids)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()`
    `String` | `getDefaultHandler()`
    `String` | `getDescription()`
    `String` | `getDisplayName()`
    `String` | `getIcon()`
    `Map<String,WidInfo.InternalWidMavenDependencies>` | `getMavenDepends()`
    `String` | `getName()`
    `Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults>` | `getParameters()`
    `Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults>` | `getResults()`
    `String` | `getWidfile()`
    `void` | `setCategory(String category)`
    `void` | `setDefaultHandler(String defaultHandler)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setIcon(String icon)`
    `void` | `setMavenDepends(Map<String,WidInfo.InternalWidMavenDependencies> mavenDepends)`
    `void` | `setName(String name)`
    `void` | `setParameters(Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> parameters)`
    `void` | `setResults(Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> results)`
    `void` | `setWidfile(String widfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WidInfo

          public WidInfo(List<Wid> wids)

  - ### Method Detail

    - #### getWidfile

          public String getWidfile()

    - #### setWidfile

          public void setWidfile(String widfile)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getIcon

          public String getIcon()

    - #### setIcon

          public void setIcon(String icon)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getDefaultHandler

          public String getDefaultHandler()

    - #### setDefaultHandler

          public void setDefaultHandler(String defaultHandler)

    - #### getParameters

          public Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> getParameters()

    - #### setParameters

          public void setParameters(Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> parameters)

    - #### getResults

          public Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> getResults()

    - #### setResults

          public void setResults(Map<String,org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> results)

    - #### getMavenDepends

          public Map<String,WidInfo.InternalWidMavenDependencies> getMavenDepends()

    - #### setMavenDepends

          public void setMavenDepends(Map<String,WidInfo.InternalWidMavenDependencies> mavenDepends)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.